---
schema_version: "1"
id: 95e9dca08b78ea8021b356f30322ad4065146cab61c0ce6439a43c5c30c16406
title: Dashboard Status
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/analytics/api_analytics/guides/reference/dashboard/analytics-api-dashboard-status-resource.md
canonical_url: https://developer.salesforce.com/docs/analytics/salesforce-analytics-rest-api/guide/analytics-api-dashboard-status-resource.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 9d062f07c254ff846713a3cb47c9c18bb3a0084241b20e970f0cc1f38688c2c4
products:
  - Salesforce Reports and Dashboards REST API Developer Guide
  - analytics
---

# Dashboard Status

Returns the status for the specified dashboard.

## Syntax

**URI:** `/services/data/vXX.X/analytics/dashboards/dashboardID/status`

Or, with optional parameters:

`/services/data/vXX.X/analytics/dashboards/dashboardID/status?runningUser=runningUserID&filter1=filter1ID&filter2=filter2ID&filter3=filter3ID`

**Formats:** JSON

**HTTP methods:** GET

**Authentication:** `Authorization: Bearer token`

**Parameters**

The following optional parameters can be used with the GET method:

|Parameter Name|Description|
|--------------|-----------|
|runningUser|ID of the running user. Gives an error if the user is not allowed to change the running user, or if the selected running user is invalid.|
|filter1|ID of the selected filter option for the first filter. Gives an error if the filter option is invalid.|
|filter2|ID of the selected filter option for the second filter. Gives an error if the filter option is invalid.|
|filter3|ID of the selected filter option for the third filter. Gives an error if the filter option is invalid.|

## Response body

|Property|Type|Description|
|--------|----|-----------|
|componentStatus|[Component status with id](#dashboard-status)[]|Status for each component of the dashboard. The order of the array is the same as in previous calls, unless the dashboard has changed in the meantime.|

**Component status with id**

|Property|Type|Description|
|--------|----|-----------|
|componentId|String|Unique ID of the dashboard component.|
|refreshDate|Date and time string|Date and time of last refresh in ISO-8601 format.|
|refreshStatus|String|Refresh status of the component. Value can be:<ul><li>`IDLE`: The component is not currently being refreshed.</li><li>`RUNNING`: The component is currently being refreshed.</li></ul>|

